package com.hw.wms.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 位置信息对象 wms_base_position
 * 
 * @author xs
 * @date 2023-12-20
 */
public class WmsBasePosition extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 位置信息ID */
    private Long basePositionId;

    /** 位置信息名称 */
    @Excel(name = "位置信息名称")
    private String basePositionName;

    /** X坐标 */
    @Excel(name = "X坐标")
    private BigDecimal xCoordinate;

    /** Y坐标 */
    @Excel(name = "Y坐标")
    private BigDecimal yCoordinate;

    /** Z坐标 */
    @Excel(name = "Z坐标")
    private BigDecimal zCoordinate;

    /** 位置信息类型(1:接驳位,2:工位) */
    @Excel(name = "位置信息类型(1:接驳位,2:工位)")
    private String basePostionType;

    /** 根据位置信息类型判断保存，如果是工位则关联工位ID */
    @Excel(name = "根据位置信息类型判断保存，如果是工位则关联工位ID")
    private Long positionTargetId;

    public void setBasePositionId(Long basePositionId) 
    {
        this.basePositionId = basePositionId;
    }

    public Long getBasePositionId() 
    {
        return basePositionId;
    }
    public void setBasePositionName(String basePositionName) 
    {
        this.basePositionName = basePositionName;
    }

    public String getBasePositionName() 
    {
        return basePositionName;
    }
    public void setxCoordinate(BigDecimal xCoordinate) 
    {
        this.xCoordinate = xCoordinate;
    }

    public BigDecimal getxCoordinate() 
    {
        return xCoordinate;
    }
    public void setyCoordinate(BigDecimal yCoordinate) 
    {
        this.yCoordinate = yCoordinate;
    }

    public BigDecimal getyCoordinate() 
    {
        return yCoordinate;
    }
    public void setzCoordinate(BigDecimal zCoordinate) 
    {
        this.zCoordinate = zCoordinate;
    }

    public BigDecimal getzCoordinate() 
    {
        return zCoordinate;
    }
    public void setBasePostionType(String basePostionType) 
    {
        this.basePostionType = basePostionType;
    }

    public String getBasePostionType() 
    {
        return basePostionType;
    }
    public void setPositionTargetId(Long positionTargetId) 
    {
        this.positionTargetId = positionTargetId;
    }

    public Long getPositionTargetId() 
    {
        return positionTargetId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("basePositionId", getBasePositionId())
            .append("basePositionName", getBasePositionName())
            .append("xCoordinate", getxCoordinate())
            .append("yCoordinate", getyCoordinate())
            .append("zCoordinate", getzCoordinate())
            .append("basePostionType", getBasePostionType())
            .append("positionTargetId", getPositionTargetId())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
